%define _disable_ld_no_undefined      1

Name:           zynaddsubfx
Version:        2.5.2
Release:        %mkrel 1
Summary:        Real-time MIDI software synthesizer
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:        zynaddsubfx-controller.desktop
Source2:        zynaddsubfx-splitter.desktop
Source3:        zynaddsubfx.desktop
Patch0:			zynaddsubfx-2.5.2-fixstring.patch
Patch1:         zynaddsubfx-buildflags.patch
License:        GPLv2+
Group:          Sound
URL:            http://sourceforge.net/projects/zynaddsubfx
BuildRequires:  cmake
BuildRequires:  libalsa-devel
BuildRequires:  %{_lib}fltk-devel
BuildRequires:  fftw3-devel
BuildRequires:  libjack-devel
BuildRequires:  liblo-devel
BuildRequires:  mxml-devel
Provides:       ZynAddSubFX = %{version}-%{release}
Obsoletes:      ZynAddSubFX

%description
A real-time software synthesizer for Linux with many features,
including polyphony, multi-timbral and microtonal capabilities.  It
includes randomness of some parameters,which makes warm sounds, like
analogue synthesizers.  The program has system/insertion effects, too.

%prep
%setup -q
%apply_patches

# fix a header name - AdamW 2008/12
sed -i -e 's,Fl_Box.h,Fl_Box.H,g' ExternalPrograms/Controller/ControllerUI.fl

sed -i -e 's#gcc#gcc %{optflags} %{ldflags}#' ExternalPrograms/Spliter/Makefile ExternalPrograms/Controller/Makefile

chmod 644 *.txt

%build
%cmake
%make

cd ..
cd ExternalPrograms/Spliter
%make
cd ../Controller/
%make

%install
rm -rf %buildroot
mkdir -p %{buildroot}/%{_bindir} %{buildroot}/%{_datadir}/applications %{buildroot}/%{_datadir}/zynaddsubfx
install -m 755 build/src/zynaddsubfx %{buildroot}/%{_bindir}
install -m 755 ExternalPrograms/Spliter/spliter %{buildroot}/%{_bindir}
install -m 755 ExternalPrograms/Controller/controller %{buildroot}/%{_bindir}
install -m 644 %{SOURCE1} %{SOURCE2} %{SOURCE3} %{buildroot}/%{_datadir}/applications
cp -a instruments/banks %{buildroot}/%{_datadir}/zynaddsubfx


%files
%doc instruments/examples *.txt 
%doc  ExternalPrograms/Spliter/readme.txt
%{_bindir}/zynaddsubfx
%{_bindir}/spliter
%{_bindir}/controller
%{_datadir}/applications/*
%{_datadir}/zynaddsubfx/*


%changelog
* Thu Oct 13 2016 adrianomorselli <adrianomorselli> 2.5.2-1uplos2016
- rebuild

* Fri Apr 08 2016 bb <bb> 2.5.2-1pclos2016
- update

* Fri May 23 2015 gseaman <galen.seaman at comcast.net> 2.5.0-1gseaman2015
- build for PCLinuxOS from Mageia spec
